Add OEM->Family

Bug #1833555 reported by Jean-Baptiste Lallement on 2019-06-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-report (Ubuntu)
Medium
Jean-Baptiste Lallement
Bionic
Medium
Jean-Baptiste Lallement

Bug Description

[Impact]
Some OEM store the commercial name of the product into the Family field of the system information record of smbios.

This update retrieves this information from /sys/class/dmi/id/product_family and adds it to the OEM->Family field

[Test Case]
From a terminal run the command:
$ ubuntu-report show

Verify that it contains a field OEM/Family and it matches the content of /sys/class/dmi/id/product_family

The output should look like:
  "OEM": {
    "Vendor": "Dell Inc.",
    "Product": "Inspiron 7472",
    "Family": "Inspiron"
  },

It is possible that the field is empty.

[Regression Potential]
Very low. This field didn't exist before and it is covered by a full regression test suite.

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: ubuntu-report 1.5.1
ProcVersionSignature: Ubuntu 5.0.0-15.16-generic 5.0.6
Uname: Linux 5.0.0-15-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.11-0ubuntu3
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Jun 20 14:49:35 2019
Dependencies:
 gcc-9-base 9.1.0-4ubuntu1
 libc6 2.29-0ubuntu2
 libgcc1 1:9.1.0-4ubuntu1
 libidn2-0 2.0.5-1
 libunistring2 0.9.10-1ubuntu2
InstallationDate: Installed on 2014-07-15 (1801 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140520)
SourcePackage: ubuntu-report
UpgradeStatus: Upgraded to eoan on 2018-03-24 (452 days ago)

Jean-Baptiste Lallement (jibel) wrote :
Changed in ubuntu-report (Ubuntu):
assignee: nobody → Jean-Baptiste Lallement (jibel)
Changed in ubuntu-report (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
Changed in ubuntu-report (Ubuntu):
status: Confirmed → Triaged
importance: Low → Medium
Changed in ubuntu-report (Ubuntu Bionic):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-report - 1.6.0

---------------
ubuntu-report (1.6.0) eoan; urgency=medium

  * Add product_family to OEM information (LP: #1833555)
  * Various test fixes

 -- Jean-Baptiste Lallement <email address hidden> Mon, 24 Jun 2019 11:10:02 +0200

Changed in ubuntu-report (Ubuntu):
status: Triaged → Fix Released
description: updated
Changed in ubuntu-report (Ubuntu Bionic):
assignee: nobody → Jean-Baptiste Lallement (jibel)
Jean-Baptiste Lallement (jibel) wrote :

patch against 1.3.1 in bionic.
This patch also includes fixes of the testsuite that affect the same code than the code modified by the patch.

Changed in ubuntu-report (Ubuntu Bionic):
status: New → Triaged
Łukasz Zemczak (sil2100) wrote :

So even though this is basically a new feature and per-se doesn't quite fit the SRU procedures, I can see that it might feel like a 'bug' for not enough information being added to the report (especially for the point-release). Plus, it comes with testing, so it should really be safe to accept.

Changed in ubuntu-report (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic

Hello Jean-Baptiste, or anyone else affected,

Accepted ubuntu-report into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-report/1.3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Jean-Baptiste Lallement (jibel) wrote :

SRU verification for Bionic:
I have reproduced the problem with ubuntu-report 1.3.1 in bionic-updates and have verified that the version of ubuntu-report 1.3.2 in -proposed fixes the issue.

Marking as verification-done

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-report - 1.3.2

---------------
ubuntu-report (1.3.2) bionic; urgency=medium

  * Add product_family to OEM information (LP: #1833555)

 -- Jean-Baptiste Lallement <email address hidden> Mon, 24 Jun 2019 11:10:02 +0200

Changed in ubuntu-report (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-report has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers